<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.6
Description: Dit template wordt gebruikt voor diagnostische bepalingen (uitslagen). In deze template wordt de klasse observation ingevuld, samen met ReferenceRange en ObservationRange, zoals deze
                gebruikt moet worden bij uitslagen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-2.16.840.1.113883.2.4.6.10.70.6"><title/>
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation" id="tmp-f28a4f26-48f5-4179-a598-182cffdf8ea1"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@classCode='OBS' or not(@classCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @classCode MOET 'OBS' zijn.</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@moodCode='EVN' or not(@moodCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @moodCode MOET 'EVN' zijn.</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']/@nullFlavor)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'] is mandatory [min 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'] komt te vaak voor [max 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:id is mandatory [min 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:code is mandatory [min 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:code)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:code komt te vaak voor [max 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:text)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:text komt te vaak voor [max 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:effectiveTime)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:effectiveTime komt te vaak voor [max 1x].</assert><let name="elmcount" value="count(hl7:value[@xsi:type='PQ']|hl7:value[@xsi:type='IVL_PQ']|hl7:value[@xsi:type='CV']|hl7:value[@xsi:type='ST']|hl7:value[@xsi:type='TS']|hl7:value[@xsi:type='BL'])"/><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="$elmcount&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): keuze (hl7:value[@xsi:type='PQ'] of hl7:value[@xsi:type='IVL_PQ'] of hl7:value[@xsi:type='CV'] of hl7:value[@xsi:type='ST'] of hl7:value[@xsi:type='TS'] of hl7:value[@xsi:type='BL']) bevat te veel elementen [max 1x]</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:author)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:author komt te vaak voor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']" id="tmp-f2f10a79-db1a-4ed2-a820-6b7b2ac6a035"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@root='2.16.840.1.113883.2.4.6.10.70.6'">(TMP 2.16.840.1.113883.2.4.6.10.70.6): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.6' hebben.</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 2.16.840.1.113883.2.4.6.10.70.6): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:id
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:id" id="tmp-fc3e3523-81e2-49c3-a5a1-17d500661aab"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): Een @xsi:type instructie MOET aanwezig zijn met de waarde "II" of de data type MOET "II" zijn</assert><extends rule="II"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:code
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:code" id="tmp-266ce832-88b6-436a-a288-47e8def2a240"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): Een @xsi:type instructie MOET aanwezig zijn met de waarde "CD" of de data type MOET "CD" zijn</assert><extends rule="CD"/><let name="theValue" value="@value"/><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('include/voc-Vraagtypes-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('include/voc-Vraagtypes-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @code MOET worden gekozen uit Value Set Vraagtypes NHG HIS tabel 45 Vraagtypes versie 10 DYNAMIC.</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:text
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:text" id="tmp-6a95685e-4177-4955-9a66-57ac31336a7b"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): Een @xsi:type instructie MOET aanwezig zijn met de waarde "ED" of de data type MOET "ED" zijn</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:effectiveTime
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:effectiveTime" id="tmp-d684b043-6f9e-45c5-aeb8-1529947e0628"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): Een @xsi:type instructie MOET aanwezig zijn met de waarde "TS" of de data type MOET "TS" zijn</assert><extends rule="TS"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation" id="tmp-be9eb0b2-2f06-4b2a-9060-db9f4e22bce1"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value[@xsi:type='PQ'])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value[@xsi:type='PQ'] komt te vaak voor [max 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value[@xsi:type='IVL_PQ'])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value[@xsi:type='IVL_PQ'] komt te vaak voor [max 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value[@xsi:type='CV'])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value[@xsi:type='CV'] komt te vaak voor [max 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value[@xsi:type='ST'])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value[@xsi:type='ST'] komt te vaak voor [max 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value[@xsi:type='TS'])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value[@xsi:type='TS'] komt te vaak voor [max 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value[@xsi:type='BL'])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value[@xsi:type='BL'] komt te vaak voor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='PQ']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='PQ']" id="tmp-6a2f2589-f75d-4696-9548-15927a377e3a"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): Een @xsi:type instructie MOET aanwezig zijn met de waarde "PQ" of de data type MOET "PQ" zijn</assert><extends rule="PQ"/><let name="theValue" value="@value"/><let name="digitok" value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="$digitok">(TMP 2.16.840.1.113883.2.4.6.10.70.6): @value is not a valid PQ number <value-of select="$theValue"/></assert><let name="theUnit" value="@unit"/><let name="UCUMtest" value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/><assert role="warning" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TMP 2.16.840.1.113883.2.4.6.10.70.6): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='IVL_PQ']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='IVL_PQ']" id="tmp-7d252977-15f9-4bec-b909-c3489e62088e"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): Een @xsi:type instructie MOET aanwezig zijn met de waarde "IVL_PQ" of de data type MOET "IVL_PQ" zijn</assert><extends rule="IVL_PQ"/><let name="theValue" value="@value"/><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP 2.16.840.1.113883.2.4.6.10.70.6): value/low @value is not a valid PQ number <value-of select="hl7:low/@value"/></assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP 2.16.840.1.113883.2.4.6.10.70.6): value/high @value is not a valid PQ number <value-of select="hl7:high/@value"/></assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP 2.16.840.1.113883.2.4.6.10.70.6): value/center @value is not a valid PQ number <value-of select="hl7:center/@value"/></assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='CV']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='CV']" id="tmp-fb56c83e-2ba0-4947-b8a9-66632c2a863a"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): Een @xsi:type instructie MOET aanwezig zijn met de waarde "CV" of de data type MOET "CV" zijn</assert><extends rule="CV"/><let name="theValue" value="@value"/><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.1045')">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.1045' zijn.</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='ST']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='ST']" id="tmp-43f74c17-79f0-40fb-81da-02f2c9a27204"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): Een @xsi:type instructie MOET aanwezig zijn met de waarde "ST" of de data type MOET "ST" zijn</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='TS']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='TS']" id="tmp-e6a2c7c2-dbcc-470b-bde8-42b32ae79129"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): Een @xsi:type instructie MOET aanwezig zijn met de waarde "TS" of de data type MOET "TS" zijn</assert><extends rule="TS"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='BL']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='BL']" id="tmp-de320d7d-90c0-4cd7-a78e-e633d3278d6d"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): Een @xsi:type instructie MOET aanwezig zijn met de waarde "BL" of de data type MOET "BL" zijn</assert><extends rule="BL"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:interpretationCode
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:interpretationCode" id="tmp-e0528774-ed50-43ee-a0c9-6056c2f0922c"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): Een @xsi:type instructie MOET aanwezig zijn met de waarde "CE" of de data type MOET "CE" zijn</assert><extends rule="CE"/><let name="theValue" value="@value"/><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @code MOET worden gekozen uit Value Set ObservationInterpretation Observation Interpretation DYNAMIC.</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:author
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:author" id="tmp-2c6cd677-71d3-45c9-864c-25cf07f35cc2"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@typeCode='AUT' or not(@typeCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @typeCode MOET 'AUT' zijn.</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@contextControlCode='OP' or not(@contextControlCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @contextControlCode MOET 'OP' zijn.</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:assignedEntity1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:assignedEntity1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:author/hl7:assignedEntity1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:performer
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:performer" id="tmp-6a73647a-bc58-47bd-99f2-053ba5cc8d45"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@typeCode='PRF' or not(@typeCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @typeCode MOET 'PRF' zijn.</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@contextControlCode='OP' or not(@contextControlCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @contextControlCode MOET 'OP' zijn.</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:assignedEntity1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:assignedEntity1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:performer/hl7:assignedEntity1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange" id="tmp-82918de3-3fa8-4b31-ad4b-5110ba317d6b"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@typeCode='REFV' ">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @typeCode MOET 'REFV' zijn.</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@contextConductionInd='true' or not(@contextConductionInd)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): @contextConductionInd SHALL have value 'true' STATIC </assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange" id="tmp-912d2ccd-19e2-4955-8ba7-386e25f0aa6c"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@classCode='OBS' or not(@classCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @classCode MOET 'OBS' zijn.</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@moodCode='EVN.CRT' or not(@moodCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @moodCode MOET 'EVN.CRT' zijn.</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:text)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:text komt te vaak voor [max 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:interpretationCode)&gt;=1 and not(hl7:interpretationCode/@nullFlavor)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:interpretationCode is mandatory [min 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:interpretationCode)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:interpretationCode komt te vaak voor [max 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value)&gt;=1 ">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value is required [min 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value komt te vaak voor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:text
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:text" id="tmp-7ace2068-5914-4a19-b7c8-7950c459eace"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): Een @xsi:type instructie MOET aanwezig zijn met de waarde "ED" of de data type MOET "ED" zijn</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode" id="tmp-e89fe353-5ea4-431e-abb8-23af7c057884"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): Een @xsi:type instructie MOET aanwezig zijn met de waarde "CE" of de data type MOET "CE" zijn</assert><extends rule="CE"/><let name="theValue" value="@value"/><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @code MOET worden gekozen uit Value Set ObservationInterpretation Observation Interpretation DYNAMIC.</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value
Item: espoed-obsrng
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value" id="tmp-695c7130-d896-4111-92a0-2820ab8214b0"><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">espoed-obsrng: Een @xsi:type instructie MOET aanwezig zijn met de waarde "IVL_PQ" of de data type MOET "IVL_PQ" zijn</assert><extends rule="IVL_PQ"/><let name="theValue" value="@value"/><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">espoed-obsrng: value/low @value is not a valid PQ number <value-of select="hl7:low/@value"/></assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">espoed-obsrng: value/high @value is not a valid PQ number <value-of select="hl7:high/@value"/></assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">espoed-obsrng: value/center @value is not a valid PQ number <value-of select="hl7:center/@value"/></assert><assert role="error" test="hl7:low or hl7:high">espoed-obsrng: hl7:low or hl7:high elements (or both) mandatory</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:low)&lt;=1">espoed-obsrng: element hl7:low komt te vaak voor [max 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:high)&lt;=1">espoed-obsrng: element hl7:high komt te vaak voor [max 1x].</assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:center)=0">espoed-obsrng: element hl7:center MAY NOT be present </assert><assert role="error" see="http://decor.nictiz.nl/espoed/espoed-html-20120209T125944/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:width)=0">espoed-obsrng: element hl7:width MAY NOT be present </assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/hl7:low
Item: espoed-obsrng
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/hl7:high
Item: espoed-obsrng
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/hl7:center
Item: espoed-obsrng
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/hl7:width
Item: espoed-obsrng
-->
</pattern>